## pcp 3.8.12ubuntu1

=== debian/changelog ===
pcp (3.8.12ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh_autotools-dev to update config.{sub,guess} for new ports.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 29 Jan 2014 15:32:44 -0500

pcp (3.8.12) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 29 Jan 2014 13:51:39 +1100

pcp (3.8.10ubuntu2) trusty; urgency=medium

  * Run dh_clean to remove debhelper-generated log files.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 18 Jan 2014 17:24:17 -0500

pcp (3.8.10ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh_autotools-dev to update config.{sub,guess} for new ports.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 16 Jan 2014 23:36:42 -0500

pcp (3.8.10) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 15 Jan 2014 08:44:20 +1100

pcp (3.8.9ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh_autotools-dev to update config.{sub,guess} for new ports.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 14 Dec 2013 01:40:46 -0500

pcp (3.8.9) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Resolve installation bug for config files (closes: #729857)

 -- Nathan Scott <nathans@debian.org>  Thu, 12 Dec 2013 11:49:03 +1100

pcp (3.8.8ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use dh_autotools-dev to update config.{sub,guess} for new ports.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 09 Dec 2013 16:23:07 -0500

pcp (3.8.8) unstable; urgency=low

  * New release to resolve build issues only.

 -- Nathan Scott <nathans@debian.org>  Sun, 03 Nov 2013 13:28:27 +1100

pcp (3.8.7) unstable; urgency=low

  * New release to resolve build issues only.
  * Add pkg-config to the Build-depends list (closes: #728453)

 -- Nathan Scott <nathans@debian.org>  Sun, 03 Nov 2013 07:25:23 +1100

pcp (3.8.6) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Really resolve FTBFS for kfreebsd probes.h (closes: #725627)

 -- Nathan Scott <nathans@debian.org>  Fri, 01 Nov 2013 10:27:24 +1100

pcp (3.8.5ubuntu1) trusty; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for new ports.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 20 Oct 2013 18:44:10 -0600

pcp (3.8.5) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Resolve FTBFS for kfreebsd probes.h (closes: #725627)

 -- Nathan Scott <nathans@debian.org>  Fri, 18 Oct 2013 08:49:26 +1100

pcp (3.8.4) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Remove Infiniband build deps, not there on all arches.

 -- Nathan Scott <nathans@debian.org>  Sun, 15 Sep 2013 10:53:16 +1000

pcp (3.8.3) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Resolve FTBFS for kfreebsd errno (closes: #721499)
  * Resolve FTBFS on s390x via -fPIC (closes: #721500)
  * Tackle a buildd issue with chown (closes: #719734)

 -- Nathan Scott <nathans@debian.org>  Mon, 09 Sep 2013 18:20:08 +1000

pcp (3.8.2) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fix library symlink in libpcp-gui2-dev (closes: #715100)
  * Fix library symlink in libpcp-import1-dev (closes: #715101)
  * Fix library symlink in libpcp-mmv1-dev (closes: #715102)
  * Fix library symlink in libpcp-pmda3-dev (closes: #715103)
  * Fix library symlink in libpcp-trace2-dev (closes: #715104)

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Jul 2013 08:12:02 +1000

pcp (3.8.1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Introduces a collectl2pcp format-converter package.
  * Remove a second 'restrict' keyword use (closes: #689552)

 -- Nathan Scott <nathans@debian.org>  Wed, 19 Jun 2013 09:33:00 +1000
