## pcp 3.9.8build1

=== debian/changelog ===
pcp (3.9.8build1) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 Aug 2014 09:54:10 -0700

pcp (3.9.8) unstable; urgency=low

  * New release to update package metadata (closes: #754929)

 -- Nathan Scott <nathans@debian.org>  Wed, 16 Jul 2014 15:58:31 +1000

pcp (3.9.7) unstable; urgency=low

  * Fix some more GNU/Hurd build issues (closes: #752513)
  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 16 Jul 2014 09:45:18 +1000

pcp (3.9.6) unstable; urgency=low

  * Resolve FTBFS on build systems using systemd (closes: #746994)
  * Support builds on the GNU/Hurd platform (closes: #751801)
  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 19 Jun 2014 10:19:23 +1000

pcp (3.9.4) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Merges pcp and pcp-gui trees into a single git repo.

 -- Nathan Scott <nathans@debian.org>  Thu, 15 May 2014 14:24:41 +1000

pcp (3.9.2) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Tue, 15 Apr 2014 16:57:42 +1000

pcp (3.9.1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fix build depends for libmicrohttpd-dev.
  * Update debian copyright notices (closes: #739952)
  * Fix build failure related to pcp-manager (closes: #719734)

 -- Nathan Scott <nathans@debian.org>  Wed, 19 Mar 2014 12:55:16 +1100

pcp (3.9.0) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Use autotools-dev to update config.{sub,guess} (closes: #737340)
  * Split libpcp3 library and configuration files (closes: #655440)

 -- Nathan Scott <nathans@debian.org>  Wed, 19 Feb 2014 10:38:40 +1100
