## pcp 3.9.10

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pcp
 Section: utils
 Priority: extra
-Homepage: http://oss.sgi.com/projects/pcp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PCP Development Team <pcp@oss.sgi.com>
+Homepage: http://www.performancecopilot.org
+Maintainer: PCP Development Team <pcp@oss.sgi.com>
 Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python-all, python-all-dev, libnspr4-dev, libnss3-dev, libsasl2-dev, libmicrohttpd-dev, libavahi-common-dev, autotools-dev
+Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python-all, python-all-dev, libnspr4-dev, libnss3-dev, libsasl2-dev, libmicrohttpd-dev, libavahi-common-dev, libqt4-dev, autotools-dev, autoconf
 #Architecture-dependent -- Build-Depends: libibumad-dev, libibmad-dev
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
@@ -26,6 +25,21 @@
  client applications to easily retrieve and process any subset of
  that data.
 
+Package: pcp-conf
+Depends: ${misc:Depends}
+Breaks: libpcp3 (<< 3.9.0)
+Section: libs
+Architecture: any
+Description: Performance Co-Pilot runtime configuration
+ The pcp-conf package contains important runtime configuration
+ files required by all programs and libraries that make up the
+ Performance Co-Pilot (PCP) toolkit.
+ .
+ The Performance Co-Pilot provides a unifying abstraction for
+ all of the interesting performance data in a system, and allows
+ client applications to easily retrieve and process any subset of
+ that data.
+
 Package: libpcp3-dev
 Section: libdevel
 Depends: ${misc:Depends}, libpcp3 (= ${binary:Version}), libc6-dev | libc-dev
@@ -42,7 +56,7 @@
  that data.
 
 Package: libpcp3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, pcp-conf (= ${binary:Version})
 Conflicts: pgpool2
 Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5)
 Section: libs
@@ -265,13 +279,3 @@
 Section: perl
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libpcp-mmv1 (= ${binary:Version})
-Description: Performance Co-Pilot Memory Mapped Value Perl module
- The PCP::MMV module contains the Perl language bindings for
- building scripts instrumented with the Performance Co-Pilot
- (PCP) Memory Mapped Value (MMV) mechanism.
- .
- This mechanism allows arbitrary values to be exported from an
- instrumented script into the PCP infrastructure for monitoring
- and analysis with pmchart, pmie, pmlogger and other PCP tools.
-
-Package: pcp-import-sar2pcp
