=== debian/control ===
--- 
+++ 
@@ -11,9 +11,8 @@
 
 Package: pcp
 Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, libpcp-pmda-perl, python-pcp, python
-Suggests: tsocks
 Conflicts: pgpool2
-Recommends: pcp-gui, libpcp-import-perl
+Suggests: pcp-gui, libpcp-import-perl
 Architecture: any
 Description: System level performance monitoring and performance management
  Performance Co-Pilot (PCP) is a framework and services to
