## pcp 3.10.8build1

=== debian/changelog ===
pcp (3.10.8build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 01:22:46 +0000

pcp (3.10.8) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 30 Oct 2015 09:02:51 +1100

pcp (3.10.7) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 16 Sep 2015 12:09:07 +1000

pcp (3.10.6) unstable; urgency=low

  * Update documentation license notes (closes: #789376)
  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Tue, 04 Aug 2015 12:38:48 +1000

pcp (3.10.5) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 15 Jun 2015 12:00:00 +1000

pcp (3.10.4) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 15 Apr 2015 16:09:51 +1000

pcp (3.10.3) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 02 Mar 2015 00:00:00 +0000

pcp (3.10.2) unstable; urgency=low

  * Fix uninstallable i386 perl dependencies (closes: #771789)
  * Fix insecure use of /var/tmp in postinst (closes: #771793)
  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 23 Jan 2015 11:10:54 +1100
