=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 libpcp_import = libpcp-import1
 libpcp_importdev = libpcp-import1-dev
 pcp_import_sar = pcp-import-sar2pcp
+pcp_import_ganglia = pcp-import-ganglia2pcp
 pcp_import_mrtg = pcp-import-mrtg2pcp
 pcp_import_sheet = pcp-import-sheet2pcp
 pcp_import_iostat = pcp-import-iostat2pcp
@@ -50,6 +51,7 @@
 dirlibpcp_import = debian/$(libpcp_import)
 dirlibpcp_importdev = debian/$(libpcp_importdev)
 dirpcp_import_sar = debian/$(pcp_import_sar)
+dirpcp_import_ganglia = debian/$(pcp_import_ganglia)
 dirpcp_import_mrtg = debian/$(pcp_import_mrtg)
 dirpcp_import_sheet = debian/$(pcp_import_sheet)
 dirpcp_import_iostat = debian/$(pcp_import_iostat)
@@ -71,13 +73,14 @@
 		$(dirlibpcp_import) $(dirlibpcp_importdev) \
 		$(dirlibpcp_mmv) $(dirlibpcp_mmvdev) \
 		$(dirpcp_import_sar) $(dirpcp_import_mrtg) \
+		$(dirpcp_import_ganglia) \
 		$(dirpcp_import_sheet) $(dirpcp_import_iostat) \
 		$(dirpcp_import_collectl) $(dirpcp_testsuite) \
 		$(dirpcp_pmda_infiniband) $(allperldir) \
 		$(dirpcp_manager) $(dirpcp_webapi) \
 		$(dirpcp_python)
 
-zip = export GZIP=-9q
+zip = export GZIP=-9qn
 pkgpcp = $(zip) NO_CHOWN=true DIST_ROOT=`pwd`/$(dirpcp);
 pkgpcpgui = $(zip) DIST_ROOT=`pwd`/$(dirgui);
 pkgpcpdoc = $(zip) DIST_ROOT=`pwd`/$(dirdoc);
@@ -93,6 +96,7 @@
 pkglibpcp_import_perl = $(zip) DIST_ROOT=`pwd`/$(dirlibpcp_import_perl);
 pkgpcp_logsummary_perl = $(zip) DIST_ROOT=`pwd`/$(dirpcp_logsummary_perl);
 pkgpcp_import_sar = $(zip) DIST_ROOT=`pwd`/$(dirpcp_import_sar);
+pkgpcp_import_ganglia = $(zip) DIST_ROOT=`pwd`/$(dirpcp_import_ganglia);
 pkgpcp_import_mrtg = $(zip) DIST_ROOT=`pwd`/$(dirpcp_import_mrtg);
 pkgpcp_import_sheet = $(zip) DIST_ROOT=`pwd`/$(dirpcp_import_sheet);
 pkgpcp_import_iostat = $(zip) DIST_ROOT=`pwd`/$(dirpcp_import_iostat);
@@ -104,7 +108,7 @@
 pkgpcp_python = $(zip) DIST_ROOT=`pwd`/$(dirpcp_python);
 
 configure_tools = export DEBUG=-DNDEBUG;
-configure_paths = --prefix=/usr --libexecdir=/usr/lib --sysconfdir=/etc --localstatedir=/var --with-rcdir=/etc/init.d --without-systemd --without-python3
+configure_paths = --prefix=/usr --libexecdir=/usr/lib --sysconfdir=/etc --localstatedir=/var --with-rcdir=/etc/init.d --with-sysconfigdir=/etc/default --without-systemd --without-python3
 
 checkdir = test -f debian/rules
 uninstall = cat debian/*.install | sed -e "s,^,debian/$(pcp)/," | xargs rm -f
@@ -160,6 +164,7 @@
 	$(pkglibpcp_import_perl) $(MAKE) -C src/perl/LogImport install_perl
 	$(pkgpcp_logsummary_perl) $(MAKE) -C src/perl/LogSummary install_perl
 	$(pkgpcp_import_sar) $(MAKE) -C src/sar2pcp install
+	$(pkgpcp_import_ganglia) $(MAKE) -C src/ganglia2pcp install
 	$(pkgpcp_import_mrtg) $(MAKE) -C src/mrtg2pcp install
 	$(pkgpcp_import_sheet) $(MAKE) -C src/sheet2pcp install
 	$(pkgpcp_import_iostat) $(MAKE) -C src/iostat2pcp install
@@ -194,11 +199,3 @@
 	dh_makeshlibs --package $(libpcp)
 	dh_makeshlibs -N $(libpcp_pmda)
 	dh_makeshlibs --package $(libpcp_pmda)
-	dh_makeshlibs -N $(libpcp_trace)
-	dh_makeshlibs --package $(libpcp_trace)
-	dh_makeshlibs -N $(libpcp_import)
-	dh_makeshlibs --package $(libpcp_import)
-	dh_makeshlibs -N $(libpcp_gui)
-	dh_makeshlibs --package $(libpcp_gui)
-	dh_makeshlibs -N $(libpcp_mmv)
-	dh_makeshlibs --package $(libpcp_mmv)
